using Assets.Source.Constants;
using Assets.Source.General;
using UnityEngine;

namespace Assets.Source.Content.Tweens
{
    [CreateAssetMenu(menuName = GeneralConstants.PATH_CREATE_MENU_UI_TWEENS + "TweenPopup")]
    public class UITweenDataPopup : ScriptableObject
    {
        public AnimationCurve FadeInCurve = AnimationCurve.EaseInOut(0, 0, 1, 1);
        public AnimationCurve FadeOutCurve = AnimationCurve.EaseInOut(0, 0, 1, 1);

        public AxisCurveSet ScaleInCurve = AxisCurveSet.EaseInOut(0, 0, 1, 0);
        public AxisCurveSet ScaleOutCurve = AxisCurveSet.EaseInOut(0, 0, 1, 0);

        public float DurationIn = 0.5f;
        public float DurationOut = 0.5f;
    }
}
